Skip to content
Fah Swe RTC Docs
Site
ImplementedLast verified 2026-07-22

REST API reference

Public and authenticated customer REST endpoints.

Public

  • GET /v1/public/platform/catalog
  • GET /v1/public/pricing/plans|rates|discount|currencies
  • GET /v1/public/marketplace/categories|extensions

Authenticated customer

  • POST /v1/auth/register|login|logout|refresh
  • Project and credential APIs
  • POST /v1/projects/{id}/temporary-token
  • Billing quote and subscription request APIs

Token service

  • GET /health
  • POST /v1/tokens

curl -sS -X POST "$FAHSWE_TOKEN_URL/v1/tokens" \
  -H "Content-Type: application/json" \
  -d '{"app_id":"app_xxx","user_id":"u1","room_id":"r1","role":"host","ttl_sec":3600}'

Source references

  • apps/local-site/lib/product-status.ts
  • sdk/android
  • token-service
Was this page helpful?